import request from '@/utils/request'

// 获取运输企业列表
export function getTruckList(parameter) {
  return request({
    url: '/api/truck-enterprise',
    method: 'get',
    params: parameter
  })
}

// 获取运输企业详情
export function getEnterprise(parameter) {
  return request({
    url: '/api/truck-enterprise/2',
    method: 'get',
    params: parameter
  })
}

// 添加运输企业
export function addEnterprise(parameter) {
  return request({
    url: '/api/truck-enterprise',
    method: 'post',
    data: parameter
  })
}

// 编辑运输企业
export function putEnterprise(parameter) {
  return request({
    url: '/api/truck-enterprise',
    method: 'put',
    data: parameter
  })
}

// 进入
export function enterEnterprise(parameter) {
  return request({
    url: '/api/truck-enterprise/enter',
    method: 'post',
    data: parameter
  })
}

// 删除运输企业
export function delEnterprise(parameter) {
  return request({
    url: '/api/truck-enterprise',
    method: 'delete',
    data: parameter
  })
}
